
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@600&display=swap');

.grid {
    width: 100%;
    height: calc(100vh - 80px);
    background-color: #ffffff41;
    display: grid;
    grid-template-columns: 250px minmax(0, 1fr);
    gap: 30px;
}

.ClassList {
    height: max(600px, calc(100vh - 80px));
    background-color: var(--nav);
    gap: 20px;
    padding: 20px;
    z-index: 10;
    overflow: hidden;
    background-image: linear-gradient(135deg, #FFCB00, #e6a017);
    position: sticky;
    top: 0;
}

.DropDownMedium {
    width: 180px;
    text-align: center;
    padding: 6px;
    font-size: 1rem;
    margin-left: 14px;
}

.ClassList .ClassListContainer {
    display: grid;
    gap: 1.7vh;
    margin-top: 25px;
}

.Custom-Drop-Down {
    margin-top: 20px;
}

.ClassList .ClassListContainer li {
    width: 300px;
    height: 40px;
    display: flex;
    align-items: center;
    list-style-type: none;
    text-transform: uppercase;
    font-family: "Poppins";
    color: #000;
    border-radius: 5px 0 0 5px;
    transition: background-color 0.3s ease;
    font-weight: 900;
    margin-left: 50px;
}

.class {
    margin-left: 10px;
}

.class:hover {
    cursor: pointer;
}

.ActiveEffect_Side_Navbar {
    width: 250px;
    color: #e6a017 !important;
    background-color: #fff;
    padding: 4px 0 4px 8px;
    transform: scale(1.15);
    border-radius: 30px 0 0 30px;
    position: relative;
}

.ActiveEffect_Side_Navbar::before {
    position: absolute;
    content: "";
    width: 15px;
    height: 15px;
    border-radius: 0 0 10px 0;
    top: -15px;
    left: 150px;
    box-shadow: 5px 5px 0 #fff;
}

.ActiveEffect_Side_Navbar::after {
    position: absolute;
    content: "";
    width: 15px;
    height: 15px;
    border-radius: 0 10px 0 0;
    bottom: -15px;
    right: 85px;
    box-shadow: 5px -5px 0 #fff;
}

.BooksContainer {
    /*width:1200px;*/
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
    z-index: 2;
}

.subjectsContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    display: none;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 10px;
}

.Subjects {
    width: 400px;
    height: 250px;
    flex-grow: 1;
    background-color: #fffff401;
    margin: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    transform: scale(0);
    transition: all 0.3s ease;
    animation: Pop 1 0.7s linear forwards;
}

@keyframes Pop {
    to {
        transform: scale(1);
    }
}

.Subjects:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.SubjectName {
    text-align: center;
    margin: 20px;
    font-size: 1.3rem;
    font-family: "Montserrat";
    font-weight: 600;
}

.Book {
    width: 100%;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 35px;
}

.PrimaryBooksWrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    border-radius: 10px 0px 10px 10px;
    border: 2px solid #183153;
    box-shadow: 0px 5px 0px 0px #183153, 0px 5px 0px 0 #183153;
}

.CoverPage {
    width: 120px;
    height: 130px;
}

.LogoWrapper {
    position: relative;
    z-index: 3;
    background-color: #fff;
    overflow: hidden;
    animation: scale 7s 1 ease-in-out forwards;
    top: 0;
}

@keyframes scale {
    20% {
        transform: scale(1.12);
        left: 0;
    }

    22% {
        top: 0;
    }

    30% {
        background-color: #fff;
    }

    35% {
        transform: scale(0.7);
        left: -300px;
    }

    39% {
        background-color: #fff;
    }

    42% {
        background-color: transparent;
    }

    50% {
        left: -300px;
        transform: scale(0.7);
    }

    70% {
        left: -300px;
        transform: scale(0.7);
    }

    100% {
        background-color: transparent;
        left: -300px;
        transform: scale(0.7);
    }
}

.LogoWrapper::before {
    content: "";
    position: absolute;
    height: 100%;
    width: 10%;
    background-color: #fff;
    transform: skew(45deg);
    z-index: 1;
    right: 0px;
    opacity: 0.4;
    animation: LogoShine 7s 1 ease-in-out;
}

@keyframes LogoShine {
    22% {
        right: 650px;

    }

    22.01% {
        opacity: 0.3;
    }

    22.02% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

.AnimationLogo {
    width: 370px;
    position: relative;
    transform: scale(1);
    left: 0;
}

.CompanyName_Animation {
    width: 340px;
    height: 200px;
    font-family: "Montserrat";
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    top: -230px;
    left: 50px;

}

.hide_Overflow {
    height: 400px;
    background-color: var(--body);
    margin: 2px;
    overflow: hidden;
}

.Prefix-Cname {
    font-size: 5rem;
    bottom: -90px;
}

.Postfix-Cname {
    bottom: 60px;
    font-size: 3.2rem;
}

.ShowContent {
    position: relative;
    animation: ShowCName 2s 1 ease-in-out forwards;
    animation-delay: 2s;
}

@keyframes ShowCName {
    100% {
        bottom: 0;
    }
}

body {
    height: 100vh;
    overflow: hidden;
}

.grid {
    overflow-y: scroll !important;
}

.DropDownMedium {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 8px;
    border-radius: 5px;
    width: 200px;
    font-size: 16px;
    cursor: pointer;
    outline: none;
    position: relative;
}

.DropDownMedium option {
    padding: 8px;
}

.DropDownMedium option:hover {
    background-color: #e0e0e0;
}

.DropDownMedium:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.hide_BooksContainer {
    display: none;
}

.row_1,
.row_2,
.row_3,
.row_4,
.row_5,
.row_6 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.Coming_Soon_Container {
    color: #000;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 4rem;
    font-family: 'Montserrat';
}

.Coming_Soon {
    width: 500px;
    aspect-ratio: 1;
    object-fit: cover;
    background-repeat: no-repeat;
    box-shadow: 0 0 10px #00000041;
    opacity: 0;
    transform: translateY(100px) scale(0);
    display: none;
}

.Animate_cmg_soon_image {
    animation: fadein 1s ease-in-out 1 forwards;
}

@keyframes fadein {
    0% {
        transform: scale(0);
    }

    60% {
        transform: scale(1.1);
        opacity: 1;
    }

    90% {
        transform: scale(1.12);
    }

    100% {
        opacity: 1;
        transform: translateY(0) scale(1);
    }
}
